MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031997Open CASCADE[OCCT] OCCT:Visualizationpublic2020-12-15 00:342020-12-19 15:22
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031997: Visualization, TKOpenGl - phong shader compilation error with normal texture map enabled
DescriptionPhong shader cannot be compiled with normal texture map enabled on macOS:
369: vec3 TangentSpaceNormal (in mat2 theDeltaUVMatrix,
370:                          in mat2x3 theDeltaVectorMatrix,
371:                          in vec3 theNormalMapValue,
372:                          in vec3 theNormal,
373:                          in bool theIsInverse)
...
TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:

Failed to compile Fragment Shader [occt_phong-l_d-0006]. Compilation log:

ERROR: 0:370: 'mat2x3' : syntax error: syntax error


This is because mat2x3 introduced only available since GLSL 120 (OpenGL 2.1).
Steps To Reproducetest de_mesh gltf_read lantern
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0031096closedbugmaster Visualization, TKOpenGl - support metallic-roughness texture mapping 

-  Notes
(0097595)
git (administrator)
2020-12-15 00:37

Branch CR31997 has been created by kgv.

SHA-1: 6d4520017158463a0e86fb50b6d60f5138dd1117


Detailed log of new commits:

Author: kgv
Date: Tue Dec 15 00:37:49 2020 +0300

    0031997: Visualization, TKOpenGl - phong shader compilation error with normal texture map enabled
    
    OpenGl_ShaderManager::defaultGlslVersion() now defines GLSL 120 for normal map texture.
(0097597)
kgv (developer)
2020-12-15 08:23

Please raise the patch
- OCCT branch: CR31997.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31997-master-KGV/ [^]
(0097743)
bugmaster (administrator)
2020-12-19 14:49

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097777)
git (administrator)
2020-12-19 15:22

Branch CR31997 has been deleted by inv.

SHA-1: 6d4520017158463a0e86fb50b6d60f5138dd1117

- Related Changesets
occt: master 1e1158c7
Timestamp: 2020-12-14 21:37:49
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031997: Visualization, TKOpenGl - phong shader compilation error with normal texture map enabled

OpenGl_ShaderManager::defaultGlslVersion() now defines GLSL 120 for normal map texture.
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-12-15 00:34 kgv New Issue
2020-12-15 00:34 kgv Assigned To => kgv
2020-12-15 00:37 git Note Added: 0097595
2020-12-15 08:23 kgv Note Added: 0097597
2020-12-15 08:23 kgv Assigned To kgv => bugmaster
2020-12-15 08:23 kgv Status new => resolved
2020-12-15 08:23 kgv Status resolved => reviewed
2020-12-15 08:25 kgv Relationship added child of 0031096
2020-12-19 14:49 bugmaster Note Added: 0097743
2020-12-19 14:49 bugmaster Status reviewed => tested
2020-12-19 14:55 bugmaster Test case number => Not required
2020-12-19 15:06 bugmaster Changeset attached => occt master 1e1158c7
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:22 git Note Added: 0097777


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker